> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readyhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Statement

> Create a new statement



## OpenAPI

````yaml POST /statement
openapi: 3.0.1
info:
  title: Ready Health API
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.readyhealth.com
security:
  - ApiKeyAuth: []
paths:
  /statement:
    post:
      description: Create a new statement
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewStatement'
            examples:
              Create VOE statement:
                summary: Create a coversheet for a candidate
                value:
                  template: coversheet
                  externalUserId: '12345'
                  context:
                    partnerId: partner-uuid-here
                    candidateId: '12345'
        required: true
      responses:
        '201':
          description: The statement has been created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementResponse'
components:
  schemas:
    NewStatement:
      required:
        - template
        - externalUserId
        - context
      type: object
      properties:
        template:
          description: Template key used to render the statement.
          type: string
        externalUserId:
          description: External identifier for the candidate in your system.
          type: string
        context:
          type: object
          description: Contextual data for filling in blanks in the statement template.
    StatementResponse:
      type: object
      properties:
        id:
          description: Identifier of the created statement.
          type: string
          format: uuid
        status:
          description: Current status of the statement (for example, `PENDING` or `READY`).
          type: string
        template:
          description: Template key used to render the statement.
          type: string
        externalUserId:
          description: External identifier for the candidate in your system.
          type: string
        createdAt:
          description: ''
          type: string
          format: date-time
        updatedAt:
          description: ''
          type: string
          format: date-time
        file:
          description: If available, the rendered file for this statement.
          type: object
          properties:
            id:
              type: string
              format: uuid
            url:
              description: Presigned URL to download the rendered statement.
              type: string
            mimeType:
              type: string
            originalName:
              type: string
        context:
          type: object
          properties:
            partnerId:
              type: string
            candidateId:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````